{% extends 'base.html.twig' %}

{% block body %}

    <div class="text-center pt-xxl-5">
        <form class="form-signin" action="{{ path('app_login') }}" method="POST">
            <div class="row g-0 col-sm-4 text-center">
                <div class="col-sm-6 col-md-12 bg-info text-white fs-4 fw-bold">Please sign in</div>
            </div>
            <div class="row g-0 col-sm-4">
                <table class="table col-sm-6 table-success table-striped">
                    <tr>
                        <td>
                            <label for="_username" class="sr-only">Username</label>
                        </td>
                        <td>
                            <input type="text"
                                   id="_username"
                                   name="_username"
                                   class="form-control"
                                   placeholder="Username"
                                   required
                                   autofocus
                                   {% if last_username %}value="{{ last_username }}"{% endif %}
                            >
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="_password" class="sr-only">Password</label>
                        </td>
                        <td>
                            <input type="password"
                                   id="_password"
                                   name="_password"
                                   class="form-control"
                                   placeholder="Password"
                                   required>
                        </td>
                    </tr>
                    {% if error %}
                        <tr>
                            <td colspan="2" class="p-0">
                                <div class="bg-danger text-white">
                                    {{ error.messageKey }}
                                </div>
                            </td>
                        </tr>
                    {% endif %}
                    <tr>
                        <td colspan="2">
                            <button class="btn btn-lg btn-primary btn-block col-sm-4" type="submit">Sign in</button>
                        </td>
                    </tr>
                </table>
            </div>
        </form>
    </div>

{% endblock %}